Update Prompt Template
curl --request PUT \
--url https://{tenant_id}.api.useago.com/api/v1/prompt-templates/{template_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"prompt_default": "<string>"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/prompt-templates/{template_id}"
payload = {
"name": "<string>",
"prompt_default": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', prompt_default: '<string>'})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/prompt-templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"prompt_default": "<string>",
"object": "prompt_template",
"prompt_type": "<string>",
"created_at": "<string>"
}Prompt Templates
Update Prompt Template
Update an existing prompt template.
PUT
/
api
/
v1
/
prompt-templates
/
{template_id}
Update Prompt Template
curl --request PUT \
--url https://{tenant_id}.api.useago.com/api/v1/prompt-templates/{template_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"prompt_default": "<string>"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/prompt-templates/{template_id}"
payload = {
"name": "<string>",
"prompt_default": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', prompt_default: '<string>'})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/prompt-templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"prompt_default": "<string>",
"object": "prompt_template",
"prompt_type": "<string>",
"created_at": "<string>"
}Authorizations
Path Parameters
Body
application/json
